# Uses of Class
javax.print.StreamPrintServiceFactory

Packages that use StreamPrintServiceFactory
Package
Description
java.awt.print
Provides classes and interfaces for a general printing API.
javax.print
Provides the principal classes and interfaces for the Java Print Service API.

## Uses of StreamPrintServiceFactory in java.awt.print

Methods in java.awt.print that return StreamPrintServiceFactory
Modifier and Type
Method
Description
`static StreamPrintServiceFactory[]`
PrinterJob.`lookupStreamPrintServices(String mimeType)`
A convenience method which locates factories for stream print services which can image 2D graphics.

## Uses of StreamPrintServiceFactory in javax.print

Methods in javax.print that return StreamPrintServiceFactory
Modifier and Type
Method
Description
`static StreamPrintServiceFactory[]`
StreamPrintServiceFactory.`lookupStreamPrintServiceFactories(DocFlavor flavor, String outputMimeType)`
Locates factories for print services that can be used with a print job to output a stream of data in the format specified by `outputMimeType`.